Bug 904331 - Review Request: perl-Shell - Run shell commands transparently within perl
Review Request: perl-Shell - Run shell commands transparently within perl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-26 05:07 EST by Normunds
Modified: 2014-04-03 09:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Shell-0.72-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 09:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Normunds 2013-01-26 05:07:26 EST
Spec URL: http://unibackup.rule.lv/FedoraRPM/perl-Shell.spec
SRPM URL: http://unibackup.rule.lv/FedoraRPM/perl-Shell-0.72-1.fc16.src.rpm
Description: This package is included as a show case, illustrating a few Perl features. It
shouldn't be used for production programs. Although it does provide a simple
interface for obtaining the standard output of arbitrary commands, there may be
better ways of achieving what you need.

Fedora Account System Username: normunds
Comment 1 Normunds 2013-01-26 05:18:42 EST
All packages mentioned below were tested with rpmlint, mock (for i386 arch) and koji (16, 17, 18, 19, rawhide). These are my first packages for Fedora, so if you find something to improve in one of them, don't bother, I'll check other packages for reported problems.

Need sponsor.

bug 903824 perl-Convert-Age.spec
bug 903826 perl-Net-Domain-TLD.spec
bug 903829 perl-Time-Interval.spec
bug 904328 perl-Config-ApacheFormat.spec
bug 904329 perl-Data-Validate-Domain.spec
bug 904330 perl-Data-Validate-IP.spec
bug 904331 perl-Shell.spec

Thanks.
Comment 2 Petr Šabata 2013-01-29 09:47:15 EST
Removing FE-NEEDSPONSOR.
Comment 3 Normunds 2013-02-04 12:45:54 EST
Specfiles and packages updated according to lessons learned from the following reviewed bugs:

Bug 903824
bug 903829
bug 904328
Comment 4 Petr Pisar 2013-02-05 12:09:30 EST
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: c1a54aef7f07adf2d3d3ff2a22cf276ff4d1c5b063dc160672878e29ac7de14c). Ok.
Summary verified from Shell.pm. Ok.
Description verified from Shell.pm. Ok.

??? Are you sure you want to use this package? Upstream warns it's not suitable for production. And watching last release date, I'm afraid there will be no better release anymore.

License verified form README. Ok.
No XS code, noarch BuildArch is Ok.

Test::Pod is optional. Ok.

All tests pass. Ok.

$ rpmlint  perl-Shell.spec ../SRPMS/perl-Shell-0.72-1.fc19.src.rpm ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm
perl-Shell.spec: E: specfile-error warning: bogus date in %changelog: Tue Jan 23 2013 Normunds Neimanis <fedorapkg$rule,lv> 0.72-1
perl-Shell.src: E: specfile-error warning: bogus date in %changelog: Tue Jan 23 2013 Normunds Neimanis <fedorapkg$rule,lv> 0.72-1
2 packages and 1 specfiles checked; 2 errors, 0 warnings.

FIX: Use valid date in changelog.

TODO: I don't think your e-mail address in the changelog is `understandable by humans' (https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs).

$ rpm -q -lv -p ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm
drwxr-xr-x    2 root    root                        0 Feb  5 17:52 /usr/share/doc/perl-Shell-0.72
-rw-r--r--    1 root    root                      613 Feb  2  2007 /usr/share/doc/perl-Shell-0.72/Changes
-rw-r--r--    1 root    root                     1098 Feb  2  2007 /usr/share/doc/perl-Shell-0.72/README
-rw-r--r--    1 root    root                     4029 Feb  5 17:52 /usr/share/man/man3/Shell.3pm.gz
-rw-r--r--    1 root    root                     8457 Feb  2  2007 /usr/share/perl5/vendor_perl/Shell.pm
File permissions and layout is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.006_001
      1 perl(constant)
      1 perl(File::Spec::Functions)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Shell) = 0.72
      1 perl-Shell = 0.72-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4930519). OK.

Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.
Resolution: Package NOT approved.
Comment 5 Normunds 2013-02-05 13:50:25 EST
> ??? Are you sure you want to use this package? Upstream warns it's not suitable for production. And watching last release date, I'm afraid there will be no better release anymore.
Well, I am using it for quick scripts occasionally.

 * Date fixed,
 * E-mail address changed.

Thanks.
Comment 6 Petr Pisar 2013-02-06 03:36:38 EST
Spec file changes:
--- perl-Shell.spec.old 2013-02-04 18:43:42.000000000 +0100
+++ perl-Shell.spec     2013-02-05 19:45:44.000000000 +0100
@@ -52,5 +52,5 @@
 
 
 %changelog
-* Tue Jan 23 2013 Normunds Neimanis <fedorapkg$rule,lv> 0.72-1
+* Tue Feb 05 2013 Normunds Neimanis <fedorapkg at rule.lv> 0.72-1
 - Initial package for Fedora


> FIX: Use valid date in changelog.
> TODO: I don't think your e-mail address in the changelog is `understandable by
> humans' (https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs).
-* Tue Jan 23 2013 Normunds Neimanis <fedorapkg$rule,lv> 0.72-1
+* Tue Feb 05 2013 Normunds Neimanis <fedorapkg at rule.lv> 0.72-1
Ok.

$ rpmlint perl-Shell.spec ../SRPMS/perl-Shell-0.72-1.fc19.src.rpm ../RPMS/noarch/perl-Shell-0.72-1.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

Package is good.
Resolution: Package APPROVED.
Comment 7 Normunds 2013-02-06 14:42:19 EST
Thank you for the review.
Comment 8 Normunds 2013-02-06 14:49:57 EST
New Package SCM Request
=======================
Package Name: perl-Shell
Short Description: Run shell commands transparently within perl
Owners: normunds psabata
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 9 Jon Ciesla 2013-02-06 15:07:54 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-02-15 02:27:57 EST
perl-Shell-0.72-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Shell-0.72-1.fc17
Comment 11 Fedora Update System 2013-02-15 03:18:39 EST
perl-Shell-0.72-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Shell-0.72-1.fc18
Comment 12 Fedora Update System 2013-02-25 21:47:50 EST
perl-Shell-0.72-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-02-25 21:52:36 EST
perl-Shell-0.72-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.